Subscribe

Backend-only API-key call. This subscribes the application to Aarthik Labs web-hook callbacks by storing the HTTPS callback URL and enabling signed journey.snapshot deliveries. At any time, one callback URL is active for an application.

Authentication

AuthorizationBearer

Send Authorization: Bearer <PLATFORM_API_KEY> from a trusted back-end.

Path parameters

tenantIDstringRequiredformat: "uuid"
Tenant ID associated with the API key.
applicationIDstringRequiredformat: "uuid"
Application ID associated with the API key.

Request

This endpoint expects an object.
urlstringRequiredformat: "uri"

HTTPS URL where Aarthik Labs should send web-hook callbacks.

Response

Web-hook subscription enabled for the application.

tenant_idstringformat: "uuid"
application_idstringformat: "uuid"
webhook_enabledboolean
webhook_urlstring or nullformat: "uri"

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error